Subject: bug#36088: youtube-viewer-gtk stores the store path to the youtube-viewer CLI program in the user config file

From: <[email-masked]>
Date: Tue, 04 Jun 2019 12:53:36 +0100 (BST)

In GTK youtube-viewer, when I try to open a video in the terminal (by right-clicking the video and selecting "Play in terminal"), it fails with `Failed to execute child process "/gnu/store/.../bin/youtube-viewer" (No such file or directory)`

In ~/.config/youtube-viewer/gtk-youtube-viewer.conf I have a line specifying the path to youtube-viewer which was added automatically:

`youtube_viewer                      => "/gnu/store/yhgrvdlq1ri9hd0qlyf6d5jvnr13bjy3-profile/bin/youtube-viewer"`

Changing it to just "youtube-viewer" works as a manual fix, but it would be good if this setting isn't generated by youtube-viewer and for the path to be hardcoded when compiled. I don't know if there's a configure flag or something to achieve this.